/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.workflow.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

/**
 * @author yoshida
 *
 */
public class CtOvertimeRequestDto extends BaseDto {
	
	private static final long	serialVersionUID	= 3402105154211410548L;
	
	// フィールド
	private int					voucher				= 0;
	private long				workflow			= 0;
	private String				kcode				= "";
	private Date				requestdate			= null;
	private Date				workdate			= null;
	private int					overtime			= 0;
	private String				reason				= "";
	private int					deleteflag			= 0;
	

	/**
	 * コンストラクタ。
	 */
	public CtOvertimeRequestDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return voucher 	残業申請伝票番号。
	 */
	public int getVoucher() {
		return voucher;
	}
	
	/**
	 * @return workflow 	ワークフロー番号。
	 */
	public long getWorkflow() {
		return workflow;
	}
	
	/**
	 * @return kcode 	社員コード。
	 */
	public String getKCode() {
		return kcode;
	}
	
	/**
	 * @return requestdate 	申請日。
	 */
	public Date getRequestDate() {
		return (Date)requestdate.clone();
	}
	
	/**
	 * @return workdate 	勤務日。
	 */
	public Date getWorkDate() {
		return (Date)workdate.clone();
	}
	
	/**
	 * @return overtime 	申請時間。
	 */
	public int getOverTime() {
		return overtime;
	}
	
	/**
	 * @return reason 	事由。
	 */
	public String getReason() {
		return reason;
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param voucher 	セットする残業申請伝票番号。
	 */
	public void setVoucher(int voucher) {
		this.voucher = voucher;
	}
	
	/**
	 * @param workflow 	セットするワークフロー番号。
	 */
	public void setWorkflow(long workflow) {
		this.workflow = workflow;
	}
	
	/**
	 * @param kcode 	セットする社員コード。
	 */
	public void setKCode(String kcode) {
		this.kcode = kcode;
	}
	
	/**
	 * @param requestdate 	セットする申請日。
	 */
	public void setRequestDate(Date requestdate) {
		this.requestdate = (Date)requestdate.clone();
	}
	
	/**
	 * @param workdate 	セットする勤務日。
	 */
	public void setWorkDate(Date workdate) {
		this.workdate = (Date)workdate.clone();
	}
	
	/**
	 * @param overtime 	セットする申請時間。
	 */
	public void setOverTime(int overtime) {
		this.overtime = overtime;
	}
	
	/**
	 * @param reason 	セットする事由。
	 */
	public void setReason(String reason) {
		this.reason = reason;
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
